Name: qfits
Version: 6.2.0
Release: 3%{?dist}
Summary: A stand-alone general purpose FITS library and command line utilities

Group: Applications/Engineering
License: GPLv2+
URL: http://www.eso.org/projects/aot/qfits/index.html
Source0: ftp://ftp.hq.eso.org/pub/qfits/%{name}-%{version}.tar.gz
Patch0: qfits-open.patch
Buildroot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

Requires: %{name}-libs = %{version}-%{release}

%description
qfits is a stand-alone C library offering easy access to FITS (Flexible Image 
 Transport System) files.
This package contains command-line utilities for managing FITS files

%package devel
Summary: Libraries, includes, etc. used to develop an application with %{name}
Group: Development/Libraries
Requires: %{name}-libs = %{version}-%{release}
%description devel
These are the header files and libraries needed to develop a %{name} application

%package libs
Summary: A stand-alone general purpose FITS library
Group: System Environment/Libraries
%description libs
qfits is a stand-alone C library offering easy access to FITS (Flexible Image 
 Transport System) files.
This package contains the %{name} run-time library

%prep
%setup -q
%patch0 -p1

%build
%configure --disable-static --disable-rpath
%{__make} %{?_smp_mflags}

%install
%{__rm} -fr %{buildroot}
%{__make} DESTDIR=%{buildroot} INSTALL="%{__install} -p" install

%check
%{__make} %{?_smp_mflags} check

%clean
%{__rm} -fr %{buildroot}

%post libs -p /sbin/ldconfig

%postun libs -p /sbin/ldconfig

%files libs
%defattr(-,root,root,-)
%doc AUTHORS
%{_libdir}/*so.*

%files devel
%defattr(-,root,root,-)
%doc README
%{_libdir}/*.so
%{_includedir}/*
%exclude %{_libdir}/*.la

%files
%defattr(-,root,root,-)
%doc AUTHORS
%{_bindir}/*
%{_mandir}/man1/*

%changelog
* Sun Sep 23 2007 Sergio Pascual <spr@astrax.fis.ucm.es> 6.2.0-3
- Renaming: qfits qfits-libs and qfits-devel
- Using the testsuite
* Fri Sep 21 2007 Sergio Pascual <spr@astrax.fis.ucm.es> 6.2.0-2
- Renaming: qfits qfits-lib and qfits-tools to qfits
- Removed Requires ldconfig
- defattr changed
- Keeping timestamps
- buildroot changed to the preferred option
* Fri Sep 21 2007 Sergio Pascual <spr@astrax.fis.ucm.es> 6.2.0-1
- Patched to use properly the open function with O_CREAT
* Thu Sep 13 2007 Sergio Pascual <spr@astrax.fis.ucm.es> 6.2.0-0.4
- Updating license tag to new Fedora guidelines
* Sun Jul 01 2007 Sergio Pascual <spr@astrax.fis.ucm.es> 6.2.0-0.3
- More informative description
- Removing rpth via configure script
* Tue Apr 17 2007 Sergio Pascual <spr@astrax.fis.ucm.es> 6.2.0-0.2
- Created new subpackage qfits-tools
* Mon Apr 16 2007 Sergio Pascual <spr@astrax.fis.ucm.es> 6.2.0-0.1
- Initial spec file.
